<template>
  <h-result status="404" title="404" sub-title="Sorry, the page you visited does not exist.">
    <template #extra>
      <h-button type="primary" @click="toBack">Back Home</h-button>
    </template>
  </h-result>
</template>
<script lang="ts">
import { defineComponent } from 'vue';
import { useRouter, useRoute } from 'vue-router';

export default defineComponent({
  setup() {
    const router = useRouter();
    const route = useRoute();
    const toBack = () => {
      router.push('/home');
    };
    console.log(route.params.id);

    return {
      toBack,
    };
  },
});
</script>
